---
title: Documentation
abstract: Index of documentation topics
---

Here you can find the help you need when configuring or installing
Prosody. If you can't find the answer to your question, come and [ask us
for help](/discuss)!

If you are a developer and want to develop plugins or contribute to
Prosody, see our [developer documentation](/doc/developers).

We also have documentation for most of [our modules](/doc/modules).

# About Prosody {#about_prosody}

-   [Project FAQ](/doc/faq)
-   [XMPP Extensions (XEPs) supported by Prosody](/doc/xeplist)
-   [Release notes](/doc/release)

# Getting Started {#getting_started}

-   [Download Prosody](/download/start)
-   [Dependencies](/doc/depends)
-   [Configuring the server](/doc/configure)
-   [List of Prosody modules](/doc/modules)

# Going further {#going_further}

-   [DNS configuration for XMPP](/doc/dns)
-   [SSL/TLS certificates](/doc/certificates)
-   [Keeping backups](/doc/backups)
-   [HTTP server settings](/doc/http)
-   [Setting up BOSH](/doc/setting_up_bosh)
-   [Setting up WebSockets](/doc/websocket)
-   [Troubleshooting and common problems](/doc/troubleshooting)
-   [Running a public server](/doc/public_servers)

<!-- -->

-   [Using prosodyctl](/doc/prosodyctl)
-   [Using the telnet console](/doc/console)

# External references {#external_references}

-   [RTC Quickstart](http://rtcquickstart.org/) - A practical guide to
    best-practice deployment of VoIP, Webcam and IM/Chat technologies
    using open standards and federation.
