---
title: 'mod\_announce'
---

Sometimes it is useful to send messages to all online users, maybe
because of an upcoming outage or maintenance period. mod\_announce
allows administrators to do that.

# Details

## Message method {#message_method}

Only [administrators](/doc/admins) can send announcements. To send an
announcement an administrator needs to send a message to
host/announce/online.

``` {.code}
  e.g. example.com/announce/online
```

## Ad-Hoc command {#ad-hoc_command}

The module also provides an [Ad-Hoc](/doc/modules/mod_adhoc) command.
Using a client with support for Ad-hoc commands, look for \"Send
Announcement to Online Users\", then simply fill out the form and send.

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "announce"; -- Enable mod_announce
    }
```

# Configuration

  Option       Default   Notes
  ------------ --------- -------
  No options             

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "announce"; -- Enable mod_announce
    }
```
