---
title: 'mod\_http\_files'
---

Using mod\_http\_files you can serve static files from a folder.

# Details

mod\_http\_files implements [RFC
2616](http://www.w3.org/Protocols/rfc2616/rfc2616.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "http_files"; -- Load mod_http_files
    }
```

# Configuration

  Option                                Default                             Notes
  ------------------------------------- ----------------------------------- ------------------------------------------------------------------------------------------------
  http\_files\_dir                      nil                                 The base file directory. You must set this to serve files
  http\_index\_files                    { \"index.html\", \"index.htm\" }   A request for a directory will serve one of these files if the directory contains it
  http\_dir\_listing                    false                               Whether to allow a module to create a file listing of directories where no index file is found
  mime\_types\_file                     \"/etc/mime.types\"                 A file containing MIME types and the file extensions used by it.
  http\_files\_cache\_max\_file\_size   4096                                Max file size for in-memory cache.

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "http_files"; -- Load mod_http_files
    }
 
    http_files_dir = "/var/www" -- Point it to a path to serve
```

Now you should be able to point your browser at
`http://prosody.example:5280/files/`.
