---
title: 'mod\_mimicking'
---

This module prevents registration of usernames that could be confused
with existing usernames.

# Dependencies

This module currently requires that Prosody be built with
[ICU](http://site.icu-project.org/), since the functionality is not
available in libidn.

# Usage

Enable in [`modules_enabled`](/doc/modules_enabled) like any other
module:

``` {.lua}
modules_enabled = {
    -- other modules etc
    "register";
    "mimicking";
}
```

Users created before the module was enabled need to be indexed before
they can be used during account creation. This is done via the command:

``` {.bash}
prosodyctl mod_mimicking bootstrap example.com
```

::: {.alert .alert-info}
**Note:** The initialization command must be called again if users are
created with `prosodyctl adduser` or other method that does not directly
involve a running Prosody.
:::

# Data storage

Mimicry "skeletons" are stored in the store called `skeletons`.
