---
title: 'mod\_motd'
---

mod\_motd allows you to set in the config a fixed message that will be
sent to users every time they log into the server.

To send a message to newly-registered users only, see
[mod\_welcome](/doc/modules/mod_welcome).

## Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "motd"; -- Enable mod_motd
    }
 
    -- Using [[ .. ]] instead of " .. " here
    -- allows the text to span multiple lines.
    motd_text = [[Welcome to the server!
    Please enjoy your stay.]]
```

# Configuration

  Option       Default             Notes
  ------------ ------------------- ------------------------------------------------------------------------------------------------------------------------------
  motd\_text   \"MOTD: (blank)\"   The text of the MOTD message. Long text spanning multiple lines can use \[\[\...\]\]
  motd\_jid    \<hostname\>        The address the message will be sent from. Defaults to the current VirtualHost. Overwrite to send from e.g. an admin\'s JID.
