---
abstract: 'Queryable archives via XEP-0313 for group chats'
title: 'mod\_muc\_mam'
---

# Configuration

To enable, simply add to `modules_enabled` on a MUC component:

``` {.lua}
Component "rooms.example.net" "muc"
modules_enabled = { "muc_mam" }
```

## Options

``` {.lua}
muc_log_by_default = true
muc_log_presences = false
log_all_rooms = false
muc_log_expires_after = "1w"
muc_log_cleanup_interval = 4 * 60 * 60
```

Room archiving can be enabled and disabled in the room configuration,
reachable from some clients. The option `muc_log_by_default` controls
whether archiving is enabled by default when a room is created.

Archiving of joins and parts can be enabled with `muc_log_presences`.
This is mostly useful in combination with a web interface of some sort.

Setting `log_all_rooms` to `true` forces all rooms to be logged and
disables the in-room configuration option.

`muc_log_expires_after` and `muc_log_cleanup_interval` work like the
in [mod\_mam](/doc/modules/mod_mam). *Added in 0.11.3.*
