---
title: 'mod\_pubsub'
abstract: 'Implements XEP-0060: Publish-Subscribe'
---

Implements a [XEP-0060](http://xmpp.org/extensions/xep-0060.html)
[pubsub service](/doc/pubsub).

# Usage

Load as a [component](/doc/components):

``` {.code .lua}
Component "pubsub.example.com" "pubsub"
```

# Configuration

Various options are supported:

``` {.lua}
admins = {}
```

Add additional admins for this component (global admins are
automatically admins)

``` {.lua}
default_admin_affiliation = "owner"
```

The default affiliation of admins to nodes

``` {.lua}
autocreate_on_subscribe = false
```

Whether to automatically create non-existent nodes when someone
subscribes

``` {.lua}
autocreate_on_publish = false
```

Whether to automatically create non-existent nodes when someone
publishes


```lua
pubsub_max_items = 256
```

Limit on how many items nodes can be configured to store.

```lua
pubsub_summary_templates = {
	["http://www.w3.org/2005/Atom"] = "{summary|or{{author/name|and{{author/name} posted }}{title}}}";
}
```

Customize text version of pubsub notifications. (Available in **trunk**)
