---
title: 'mod\_s2s\_auth\_certificates'
abstract: Handles certificate validation and identity checks for s2s connections
---

This module does [certificate](/doc/certificates) validation and
identity checks. It is enabled by default.

# Details

The chain validation heavy lifting is done in LuaSec / OpenSSL.

Certificate name validation is done by
[`util.x509`](/doc/developers/util/x509).

# Configuration

The module itself has no options.

Certificate validiation is affected 
by [TLS configuration](/doc/certificates#verify), notably the `verify` and
`capath` or `cafile` options.

```lua
ssl = {
    verify = { "peer", "client_once" };
    capath = "/etc/ssl/certs";
    
    -- other options --
}
```
