---
abstract: |
  Allows using the same s2s connections for both sending and receiving
  stanzas from a remote server.
keywords:
- 'XEP-0288'
- bidi
subtitle: 'XEP-0288: Bidirectional Server-to-Server Connections'
title: mod\_s2s\_bidi
---

This module implements [XEP-0288: Bidirectional Server-to-Server
Connections](http://xmpp.org/extensions/xep-0288.html). It allows
servers to use a single connection for sending stanzas to each other,
instead of two connections (one for stanzas in each direction).

Added in 0.12

# Usage

Enable in [`modules_enabled`](/doc/modules_enabled):

``` {.lua}
modules_enabled = {
    --- other modules
    "s2s_bidi";
}
```

[Server-to-server connections](/doc/s2s) to other servers that also
support XEP-0288 will automatically be bidirectional. This can be
verified in the [telnet console](/doc/console) by looking for `(bidi)`
in [`s2s:show()` command](/doc/console#s2sshow).
