---
abstract: Create recordings of XMPP sessions for use as test cases
title: 'mod\_scansion\_record'
---

# Introduction

This module creates recordings of user sessions in a format suitable for
use with [Scansion](https://code.matthewwild.co.uk/scansion/), an
automated XMPP testing tool. This allows rapidly crating test cases by
simply using normal XMPP clients.

# Usage

First, enable the module by adding it to `modules_enabled` before
starting Prosody.

``` {.lua}
modules_enabled = {
    -- other modules
    "scansion_record";
}
```

Then connect the clients that should be involved and do whatever it is
you want a recording of.

When done, shut down Prosody. The module will finalize the recording,
which is saved in Prosodys data directory. The filename is logged during
shutdown.

    info    Scansion recording available in data/scansion/2018nov12/mpltxhmxmrervd9c.scs
