---
abstract: module that advertises contact addresses
title: 'mod\_server\_contact\_info'
---

This module lets you advertise various contact addresses for your XMPP
service via [XEP-0157](https://xmpp.org/extensions/xep-0157.html).

# Configuration

Various types of contact addresses can be set via the single table
option `contact_info`. Each field is a list of strings. Each string
should be an URI.

An example showing all possible fields:

``` {.code .lua}
modules_enabled = {
    -- Other modules here
        "server_contact_info";
}
contact_info = {
  abuse = { "mailto:abuse@shakespeare.lit", "xmpp:abuse@shakespeare.lit" };
  admin = { "mailto:admin@shakespeare.lit", "xmpp:admin@shakespeare.lit" };
  feedback = { "http://shakespeare.lit/feedback.php", "mailto:feedback@shakespeare.lit", "xmpp:feedback@shakespeare.lit" };
  sales = { "xmpp:bard@shakespeare.lit" };
  security = { "xmpp:security@shakespeare.lit" };
  support = { "http://shakespeare.lit/support.php", "xmpp:support@shakespeare.lit" };
}
```

Without configuration, the module will expose the
[`admins`](/doc/admins) configured.
