---
title: 'mod\_vcard\_legacy'
---

This module converts users profiles and Avatars between old and new
formats, as described in
[XEP-0398](https://xmpp.org/extensions/xep-0398.html).

# Details

This module combines and translates a users
[vcard4](/doc/modules/mod_vcard4) and PEP avatar data to and from the
older [vcard-temp](/doc/modules/mod_vcard) format. vcard profile
information and avatar are stored separately in PEP.

::: {.alert .alert-warning}
Starting with 0.11.3 this module will upgrade data from the format used
by mod_vcard data into the format used by mod_vcard_legacy and
mod_vcard4. This process **removes** the old data. This is to avoid
having both old and new data.
:::

# Usage

``` {.lua}
modules_enabled = {
    -- Other modules
    "vcard_legacy";
}
```

# Configuration

A boolean setting `upgrade_legacy_vcards` that defaults to `true` is
available from 0.11.3. Setting it to `false` disables automatic
upgrading of data from mod_vcard.

Configuration is handled though [PEP](/doc/modules/mod_pep). The nodes
involved are:

-   `urn:xmpp:vcard4`
-   `urn:xmpp:avatar:metadata`
-   `urn:xmpp:avatar:data`

These nodes can be configured individually. Notably, the `access_model`
setting can be configured to make the data public or restricted to users contacts.
This is respected by mod\_vcard\_legacy. This allows users to e.g. make
only their avatar public and restrict their name and other details to
contacts.
