---
title: '0.10.1'
---

Released: *2018-05-15*

# Summary

See our [blog post](https://blog.prosody.im/prosody-0-10-1-released/)
for a full overview of the release features.

We are pleased to announce a new minor release from our stable branch.

This is the latest release to our stable branch. It is recommended that all 0.10.0 users upgrade, and users of our nightly packages upgrade to build 477 or later.

A summary of changes in this release:


## Security

- SQL: Ensure user archives are purged when a user account is deleted (fixes [#1009](https://prosody.im/issues/issue/1009))

## Fixes and improvements

- Core: More robust signal handling (fixes [#1047](https://prosody.im/issues/issue/1047), [#1029](https://prosody.im/issues/issue/1029))
- MUC: Ensure that <delay/> elements which match our from are stripped (fixes [#1055](https://prosody.im/issues/issue/1055))
- MUC: More robust handling of storage failures (fixes [#1091](https://prosody.im/issues/issue/1091), [#1091](https://prosody.im/issues/issue/1091))
- mod\_mam: Ensure a user's archiving preferences apply even when they are offline (fixes [#1024](https://prosody.im/issues/issue/1024))
- Compatibility improvements with LuaSec 0.7, improving curve support
- mod\_stanza_debug: New module that logs full stanzas sent and received for debugging purposes
- mod\_mam: Implement option to enable MAM implicitly when client support is detected ([#867](https://prosody.im/issues/issue/867))
- mod\_mam: Add an option for whether to include 'total' counts by default in queries (for performance)
- MUC: send muc#stable_id feature as per XEP-0045 v1.31 (fixes [#1097](https://prosody.im/issues/issue/1097))

## Minor changes

- SQL: Suppress error log if a transaction failed but was retried ok
- core.stanza\_router: Verify that xmlns exists for firing stanza/iq/xmlns/name events (fixes [#1022](https://prosody.im/issues/issue/1022)) (thanks SamWhited)
- mod\_carbons: Synthesize a 'to' attribute for carbons of stanzas to "self" (fixes [#956](https://prosody.im/issues/issue/956))
- Core: Re-enable timestamps by default when logging to files (fixes [#1004](https://prosody.im/issues/issue/1004))
- HTTP: Report HTML Content-Type on error pages (fixes [#1030](https://prosody.im/issues/issue/1030))
- mod\_c2s: Set a default value for c2s_timeout (fixes [#1036](https://prosody.im/issues/issue/1036))
- prosodyctl: Fix traceback with lfs < 1.6.2 and show warning
- Fix incorrect '::' compression of a single 0-group which broke some IPv6 address matching
- mod\_dialback: Copy function from mod_s2s instead of depending on it, which made it harder to disable s2s (fixes [#1050](https://prosody.im/issues/issue/1050))
- mod\_storage_sql: Add an index to SQL archive stores to improve performance of some queries
- MUC: Don't attempt to reply to errors with more errors (fixes [#1122](https://prosody.im/issues/issue/1122))
- Module API: Fix parameter order to http client callbacks
- mod\_blocklist: Allow mod_presence to handle subscription stanzas before bouncing outgoing presence (fixes [#575](https://prosody.im/issues/issue/575))
- mod\_http_files: Fix directory listing cache entries not expiring (fixes [#1130](https://prosody.im/issues/issue/1130))


# Download

As usual, download instructions for many platforms can be found on our [download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release, [let us know!](https://prosody.im/discuss)

## Upgrades from 0.9.x

If you are upgrading from a 0.9.x release, please read the [0.10.0 release notes](0.10.0).
