---
title: '0.10.3'
---

Released: *2018-11-28*

# Summary

This is a minor security and bugfix release from our old stable 0.10 branch.

Note that there will **not** be an updated 'prosody' package in our Debian/Ubuntu
repository for this release, as that package is now tracking stable releases from
our 0.11 branch. You may use the 'prosody-0.10' package which is automatically built
from the 0.10 branch daily. The 0.10.3 release is equivalent to [build 499][]. A signed
tarball of this release is of course available at the [usual place][source].

[build 499]: https://packages.prosody.im/nightly/0.10/build499/
[source]: https://prosody.im/downloads/source/

## Changes

Summary of all changes in this release:

## Security

- Don't list room occupants in service discovery (fixes [#1162](https://prosody.im/issues/issue/1162))

## Fixes and improvements

- mod\_component: Fix a wrongly-placed closing parenthesis, fixes [#1164](https://prosody.im/issues/issue/1164).
- net.dns: Cache all records from the 'answer' and 'additional' sections (fixes [#487](https://prosody.im/issues/issue/487))
- net.dns: Don't attempt to cache unparsed data (fixes [#1056](https://prosody.im/issues/issue/1056))
- mod\_mam: Handle edge-case of max=0 so that complete attr is set (fixes [#1128](https://prosody.im/issues/issue/1128))
- mod\_s2s: Close sockets held by resolver ([#1170](https://prosody.im/issues/issue/1170))
- mod\_admin_telnet: Add debug:events() and debug:logevents()
- Logging: Improvements to balance logging of stanzas during routing ([#776](https://prosody.im/issues/issue/776))
- util.pposix: Fix building on OS X ([#1202](https://prosody.im/issues/issue/1202))
- mod\_http: Make sure path from http_external_url always ends with a slash (fixes [#1183](https://prosody.im/issues/issue/1183))

## Minor changes

- prosodyctl: Make log level configurable through PROSODYCTL\_LOG_LEVEL (useful for debugging)
- prosodyctl: Allow cert dir to not be owned by root (fixes [#1075](https://prosody.im/issues/issue/1075))
- prosodyctl: Change ownership of certs to same as the cert base dir when running from a source checkout
- prosodyctl: Warn if attempting to run an unknown check (fixes [#1161](https://prosody.im/issues/issue/1161))
- mod\_s2s: Fix DNS timeout setting for per-session resolvers (fixes [#1167](https://prosody.im/issues/issue/1167))
- mod\_groups: Log a warning about invalid JIDs ([#1180](https://prosody.im/issues/issue/1180))
- mod\_proxy65: Return an error if no port is open (fixes [#1240](https://prosody.im/issues/issue/1240))
- API: Add stanza method for removing all children with a specific name, xmlns


## Download

As usual, download instructions for many platforms can be found on our [download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release, [let us know!](https://prosody.im/discuss)
