---
title: 0.11.4
---

Released: *2020-01-18*

# Summary

This release contains a number of bug fixes and a couple of performance
improvements.

## Changes

Summary of all changes in this release:

## Fixes and improvements

-   core.rostermanager: Improve performance by caching rosters of
    offline [\#1233](https://issues.prosody.im/1233)
-   mod\_pep: Handling subscriptions more efficiently
    [\#1372](https://issues.prosody.im/1372)

## Minor changes

-   util.interpolation: Support unescaped variables with more modifiers
    [\#1452](https://issues.prosody.im/1452)
-   MUC: Mark source of historic messages correctly
    [\#1416](https://issues.prosody.im/1416)
-   mod\_auth\_internal\_hashed: Pass on errors
    [\#1477](https://issues.prosody.im/1477)
-   mod\_mam, mod\_muc\_mam: Improve logging of failures
    [\#1478](https://issues.prosody.im/1478),
    [\#1480](https://issues.prosody.im/1480),
    [\#1481](https://issues.prosody.im/1481)
-   mod\_muc, mod\_muc\_mam: Reschedule message expiry in case of
    failure
-   mod\_mam: Add flag to session when it performs a MAM query
-   prosodyctl check: Warn about conflict between mod\_pep and
    mod\_pep\_simple
-   prosodyctl check: Warn about conflict between mod\_vcard and
    mod\_vcard\_legacy [\#1469](https://issues.prosody.im/1469)
-   core.modulemanager: Disable mod\_vcard if mod\_vcard\_legacy is
    enabled to prevent conflict [\#1469](https://issues.prosody.im/1469)
-   MUC: Strip tags with MUC-related namespaces from private messages
    [\#1427](https://issues.prosody.im/1427)
-   MUC: Don't advertise registration feature on host
    [\#1451](https://issues.prosody.im/1451)
-   mod\_vcard\_legacy: Fix handling of empty photo elements
    [\#1432](https://issues.prosody.im/1432)
-   mod\_vcard\_legacy: Advertise lack of avatar correctly
    [\#1431](https://issues.prosody.im/1431)
-   prosodyctl: Handle if the setting proxy65\_address has the wrong
    type
-   prosodyctl: Print a blank line to improve spacing and readability
-   MUC: Fix role loss in Nickname change
    [\#1466](https://issues.prosody.im/1466)
-   util.pposix: Fix reporting of memory usage in 2-4GB range
    [\#1445](https://issues.prosody.im/1445)
-   util.startup: Fix a regression concerning directory paths
    [\#1430](https://issues.prosody.im/1430)
-   mod\_websocket: Don't mask WebSocket pong answers
    [\#1484](https://issues.prosody.im/1484)
-   net.resolvers: Apply IDNA conversion to ascii for DNS lookups
    (affects only HTTP queries) [\#1426](https://issues.prosody.im/1426)
-   net.resolvers.basic: Fix resolution of IPv6 literals (in brackets)
    [\#1459](https://issues.prosody.im/1459)

## Download

As usual, download instructions for many platforms can be found on our
[download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release,
[let us know!](https://prosody.im/discuss)
