---
title: '0.9.0 Release Notes'
---

*Released: 2013-08-20*

::: {.alert .alert-warning}
[:warning:]{.icon} This release **requires** configuration changes to
some existing Prosody installations, and breaks compatibility with some
modules. Please read the [section on upgrading](#upgrading) below.
:::

A summary of changes in this release:

-   [IPv6 support](/doc/ipv6) for c2s, s2s and all other services (e.g.
    HTTP)
-   [Server-to-server authentication using
    certificates](/doc/s2s#security) (SASL EXTERNAL)
-   A new HTTP subsystem, supporting virtual hosts, and fully reloadable
    modules
-   Client and server connections are now handled by modules: mod\_c2s,
    mod\_s2s
-   mod\_pubsub: Basic pubsub service (some features not yet
    implemented)
-   prosodyctl about - show information about a Prosody installation
-   prosodyctl cert - command to generate XMPP certificates and CSRs
-   Many very nice enhancements to our [module
    API](/doc/developers/moduleapi)
-   MUC: Configurable per-room history length
-   MUC: Plugins can now extend the room configuration form

# Upgrading

## Module compatibility {#module_compatibility}

Prosody 0.9 breaks compatibility with some modules (something we very
rarely do), by removing some APIs that have been replaced. All modules
in [prosody-modules](/doc/installing_modules#prosody-modules) should be
working if you have the latest versions. Please [let us know](/discuss)
if you have any problems.

We are also happy to help with the porting of other modules, it is
usually quite straightforward.

The APIs that have been removed are:

-   net.connlisteners (used for opening ports), use the new API for
    [network services](/doc/developers/network).
-   net.httpserver (used by all modules accepting HTTP requests), use
    the new [HTTP API](/doc/developers/http).

## Configuration changes {#configuration_changes}

Due to the above, we have changed (for the better!) our config format
for some things. If you encounter any issues not listed here then
please, PLEASE [let us know!](/discuss)

We want to help make the upgrade as smooth as possible for everyone, but
we need **your help** to report issues, even if you manage to work them
out yourself.

### HTTP configuration {#http_configuration}

All HTTP modules that had config options with names ending in
\'\_ports\' are replaced by new [HTTP configuration](/doc/http). There
are only two options for controlling HTTP ports now, `http_ports` and
`https_ports`. These default to `{ 5280 }` and `{ 5281 }` respectively,
and all HTTP modules can be accessed via both.

Also note that Prosody no longer ignores virtual hosts specified in
requests! This could lead to some setups no longer working, especially
where reverse proxies (such as an external web server forwarding
requests) are involved. See our documentation on [HTTP virtual
hosts](/doc/http#virtual_hosts) for more information.

Finally, mod\_httpserver was renamed to mod\_http\_files to clarify that
it is for serving static files only, and is unrelated to other Prosody
HTTP services.

### Port multiplexing {#port_multiplexing}

If you are using the `ports` or `ssl_ports` options, you now need to add
`"net_multiplex"` to [modules\_enabled](/doc/modules_enabled) in your
config file.

### disallow\_s2s

The disallow\_s2s option has been [deprecated](/doc/s2s#disabling), and
in particular it no longer affects [anonymous
users](/doc/anonymous_logins), who are still prevented from sending
stanzas to remote servers by default. To re-enable access to remote
servers for anonymous users see [Allowing anonymous users access to
remote
servers](/doc/anonymous_logins#allowing_access_to_remote_servers).

### proxy65

In previous versions mod\_proxy65 allowed ports to be specified
per-host. As of 0.9 this is no longer possible, proxy65\_ports may only
be set in the [global section of the config
file](/doc/configure#overview), like all other [network and port
configuration](/doc/configure#port_and_network_settings).

# Download

For packages, please see [our download page](/download/start).

## Source

You can grab a tarball of
[prosody-0.9.0.tar.gz](https://prosody.im/downloads/source/prosody-0.9.0.tar.gz)
([OpenPGP
signed](https://prosody.im/downloads/source/prosody-0.9.0.tar.gz.asc)),
or grab the latest 0.9 source from Mercurial with:

``` {.code}
hg clone https://hg.prosody.im/0.9 prosody-0.9
```

More information on dealing with Prosody\'s source can be found at these
links:

-   [Installing from source](/doc/installing_from_source)
-   [Information for packagers](/doc/packagers)
