---
title: '0.9.1 Release Notes'
---

*Released: 2013-09-10*

This is a minor release in the 0.9 branch to fix a handful of issues.

**Note:** If you are upgrading from 0.8.x or earlier, please read the
[0.9.0 upgrade notes](/doc/release/0.9.0)!

A summary of changes in this release:

-   Config: Fix the workaround for LuaSec 0.4.x to apply the ssl
    [\'ciphers\' option](/doc/advanced_ssl_config#ciphers) correctly
-   Config: Ability to specify the ssl [\'dhparam\'
    option](/doc/advanced_ssl_config#dhparam) simply as a path to a
    file, instead of a callback function
-   Windows: Fix s2s issues
-   Windows: Fix the ability to specify absolute paths to SSL
    certificates in the config
-   Build: Fix compilation issue on non-Linux systems that have glibc
    (such as Debian GNU/kFreeBSD)
-   API: Fix to our [set library](/doc/developers/util/set), that caused
    the :include() and :exclude() methods to behave incorrectly

# Download

For packages, please see [our download page](/download/start).

## Source

You can grab a tarball of
[prosody-0.9.1.tar.gz](https://prosody.im/downloads/source/prosody-0.9.1.tar.gz)
([OpenPGP
signed](https://prosody.im/downloads/source/prosody-0.9.1.tar.gz.asc)),
or grab the latest 0.9 source from Mercurial with:

``` {.code}
hg clone https://hg.prosody.im/0.9 prosody-0.9
```

More information on dealing with Prosody\'s source can be found at these
links:

-   [Installing from source](/doc/installing_from_source)
-   [Information for packagers](/doc/packagers)
