---
title: '0.9.5 Release Notes'
---

*Released: 2014-10-09*

We are pleased to announce Prosody 0.9.5, the latest release of our
stable 0.9 branch. This is mainly a bug fix release.

**Note:** If you are upgrading from 0.8.x or earlier, please read the
[0.9.0 upgrade notes](/doc/release/0.9.0)!

A summary of changes in this release:

-   C2S: Fix traceback if a client opens a stream to component, which
    could cause a crash in combination with some versions of LuaEvent
-   C2S, S2S: Log received invalid stream headers
-   S2S: Fix case where stream headers were sometimes sent twice
-   DNS: Ensure all pending requests get notified of a timeout when
    looking up a record
-   DNS: Fix duplicated cache insertions by limiting outstanding queries
    per name to one
-   xmppstream: Disable LuaExpat\'s buffering
-   xmppstream: Disable CharacterData merging after stream restarts
-   xmppstream: Pass invalid stream headers to error handling
-   Privacy lists: Correctly sort privacy list rules by order
-   prosody: Check dependencies later in the startup sequence
-   Config: Delay importing LuaFileSystem until needed by an Include
    line
-   Config: Normalize VirtualHost and Component names
-   prosodyctl: Normalize JIDs for adduser/passwd/deluser
-   POSIX: Fix error reporting from disk space allocation
-   POSIX: Verify that \'pidfile\' is a string, show friendly error
    otherwise
-   Dependency checking: Check that prosody is running under Lua 5.1. We
    don\'t currently support any other versions. (LuaJIT identifies as
    5.1)
-   Compliance: Reset stream ID when resetting stream
-   Compression: Log compression setup errors
-   Console: Fix commands for adding and replacing name servers
-   Console MUC commands: Fix error when a non-existent host is entered
-   Filters: Prevent filters from being added twice
-   Network: Transfer all available data between linked sockets
-   dataforms: Add support for XEP-0221: Data Forms Media Element

# Download

For packages, please see [our download page](/download/start).

## Source

You can grab a tarball of
[prosody-0.9.5.tar.gz](https://prosody.im/downloads/source/prosody-0.9.5.tar.gz)
([OpenPGP
signed](https://prosody.im/downloads/source/prosody-0.9.5.tar.gz.asc)),
or grab the latest 0.9 source from Mercurial with:

``` {.code}
hg clone https://hg.prosody.im/0.9 prosody-0.9
```

More information on dealing with Prosody\'s source can be found at these
links:

-   [Installing from source](/doc/installing_from_source)
-   [Information for packagers](/doc/packagers)
