---
title: '0.9.9 Release Notes'
---

*Released: 2016-01-08*

This release contains important fixes for two security issues recently
discovered in Prosody. It also contains various other fixes and
improvements we have made since 0.9.8. We strongly recommend that you
upgrade your server as soon as possible.

Another important note is that for a number of reasons we have dropped
Windows support with this release. If you are affected by this, please
contact us directly via email at <developers@prosody.im>.

A summary of changes:

Security fixes:

-   Fix path traversal vulnerability in mod\_http\_files
    ([CVE-2016-1231](https://prosody.im/security/advisory_20160108-1/))
-   Fix use of weak PRNG in generation of dialback secrets
    ([CVE-2016-1232](https://prosody.im/security/advisory_20160108-2/))

Bugs:

-   Improve handling of CNAME records in DNS
-   Fix traceback when deleting a user in some configurations (issue
    \#496)
-   MUC: restrict\_room\_creation could prevent users from joining rooms
    (issue \#458)
-   MUC: fix occasional dropping of iq stanzas sent privately between
    occupants
-   Fix a potential memory leak in mod\_pep

Additions:

-   Add http:list() command to telnet to view active HTTP services
-   Simplify IPv4/v6 address selection code for outgoing s2s
-   Add support for importing SCRAM hashes from ejabberd
-   Support for IPv6 DNS resolvers in `resolv.conf` (issue \#352)

# Download

As usual, download instructions for many platforms can be found on our
download page: <https://prosody.im/download>

If you have any questions, comments or other issues with this release,
let us know! <https://prosody.im/discuss>

## Download {#download1}

For packages, please see [our download page](/download/start).

### Source

You can grab a tarball of
[prosody-0.9.9.tar.gz](https://prosody.im/downloads/source/prosody-0.9.9.tar.gz)
([OpenPGP
signed](https://prosody.im/downloads/source/prosody-0.9.9.tar.gz.asc)),
or grab the latest 0.9 source from Mercurial with:

``` {.code}
hg clone https://hg.prosody.im/0.9 prosody-0.9
```

More information on dealing with Prosody\'s source can be found at these
links:

-   [Installing from source](/doc/installing_from_source)
-   [Information for packagers](/doc/packagers)
