---
title: Obtaining the source
---

Prosody is open-source, under the [MIT](/source/mit) license. This means
that the source code is freely available to download and use however you
wish. You may modify the source code, and link it with closed-source
applications. That said, we politely request that you do consider
sending code improvements to us at the developer [mailing
list](/discuss#mailing_list).

The full terms of the license are [available here](/source/mit).

# Downloading a release tarball

The latest release, along with OpenPGP signatures and older release
archives can be found under [Downloads → Source](/downloads/source/).

Latest release
:   [`prosody-_LATESTRELEASE.tar.gz`](/downloads/source/prosody-_LATESTRELEASE.tar.gz)
    [signature](/downloads/source/prosody-_LATESTRELEASE.tar.gz.asc)

# Downloading a snapshot (tarball) {#downloading_a_snapshot_tarball}

The current development source can always be downloaded from
[here](https://hg.prosody.im/trunk/archive/tip.tar.gz).

The current and past releases are available in our [downloads
section](/download/start).

# Browsing the source {#browsing_the_source}

The source repositories of all our active branches is available to
browse at [hg.prosody.im](http://hg.prosody.im/).

RSS and Atom feeds are available. An XMPP feed is available on request
(you may see it in action in our [chatroom](/discuss#chatroom)).

# Checking out with Mercurial {#checking_out_with_mercurial}

If you want to help out with development, or simply want an easy way to
keep up to date with the latest source, we strongly recommend you use
[Mercurial](https://www.mercurial-scm.org/), which is available on most
Linux distributions. On Windows we recommend
[TortoiseHg](https://tortoisehg.bitbucket.io/).

After installing you need to \"clone\" our repository, which creates a
copy on your system under a folder named \"prosody-hg\":

``` {.code}
 hg clone https://hg.prosody.im/trunk prosody-hg
```

Subsequent updates can be downloaded simply by running:

``` {.code}
 hg pull -u
```

inside the \"prosody-hg\" folder.

# Prosody on GitHub {#prosody_on_github}

A Git mirror of the Prosody repository is also available on
[GitHub](http://github.com/), courtesy of [bjc](http://github.com/bjc)
who synchronizes it with the main [Prosody
repository](#checking_out_with_mercurial) periodically.

Web: <https://github.com/bjc/prosody>\
Clone URL: git://github.com/bjc/prosody.git

::: {.alert .alert-warning}
[:warning:]{.icon} **Note:** This is an unofficial mirror, not our
primary repository. Please do not send Github pull requests or use the
Github issue tracker to report Prosody issues. To contribute or report
issues, there are numerous ways to [contact us](/discuss).
:::

# Building and installation {#building_and_installation}

For full instructions on how to get things running see [Installing from
source](/doc/installing_from_source).
