(window.webpackJsonp=window.webpackJsonp||[]).push([[41],{513:function(t,e,a){"use strict";a.r(e);var r=a(19),o=Object(r.a)({},(function(){var t=this,e=t.$createElement,a=t._self._c||e;return a("ContentSlotsDistributor",{attrs:{"slot-key":t.$parent.slotKey}},[a("h1",{attrs:{id:"writing-guide"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#writing-guide"}},[t._v("#")]),t._v(" Writing guide")]),t._v(" "),a("p",[t._v("This guide explains how to write an article. While the "),a("RouterLink",{attrs:{to:"/community/contribute/grammar-formatting-and-style/"}},[t._v("grammar, formatting, and style guide")]),t._v(" lets you know the rules you should follow, this guide will help you to properly structure your writing and choose the correct tone for your audience.")],1),t._v(" "),a("h2",{attrs:{id:"walkthroughs"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#walkthroughs"}},[t._v("#")]),t._v(" Walkthroughs")]),t._v(" "),a("p",[t._v("The purpose of a walkthrough is to tell the user "),a("em",[t._v("how")]),t._v(" to do something. They do not need to convince the reader of something or explain a concept. Walkthroughs are a list of steps the reader must follow to achieve a process or function.")]),t._v(" "),a("p",[t._v("The vast majority of documentation within the IPFS Docs project falls under the "),a("em",[t._v("Walkthrough")]),t._v(" category. Walkthroughs are generally quite short, have a neutral tone, and teach the reader how to achieve a particular process or function. They present the reader with concrete steps on where to go, what to type, and things they should click on. There is little to no "),a("em",[t._v("conceptual")]),t._v(" information within walkthroughs.")]),t._v(" "),a("h3",{attrs:{id:"goals"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#goals"}},[t._v("#")]),t._v(" Goals")]),t._v(" "),a("p",[t._v("Use the following goals when writing walkthroughs:")]),t._v(" "),a("table",[a("thead",[a("tr",[a("th",[t._v("Goal")]),t._v(" "),a("th",[t._v("Keyword")]),t._v(" "),a("th",[t._v("Explanation")])])]),t._v(" "),a("tbody",[a("tr",[a("td",[a("strong",[t._v("Audience")])]),t._v(" "),a("td",[a("em",[t._v("General")])]),t._v(" "),a("td",[t._v("Easy for anyone to read with minimal effort.")])]),t._v(" "),a("tr",[a("td",[a("strong",[t._v("Formality")])]),t._v(" "),a("td",[a("em",[t._v("Neutral")])]),t._v(" "),a("td",[t._v("Slang is restricted, but standard casual expressions are allowed.")])]),t._v(" "),a("tr",[a("td",[a("strong",[t._v("Domain")])]),t._v(" "),a("td",[a("em",[t._v("Technical")])]),t._v(" "),a("td",[t._v("Acronyms and tech-specific language is used and expected.")])]),t._v(" "),a("tr",[a("td",[a("strong",[t._v("Tone")])]),t._v(" "),a("td",[a("em",[t._v("Neutral")])]),t._v(" "),a("td",[t._v("Writing contains little to no emotion.")])]),t._v(" "),a("tr",[a("td",[a("strong",[t._v("Intent")])]),t._v(" "),a("td",[a("em",[t._v("Instruct")])]),t._v(" "),a("td",[t._v("Tell the reader "),a("em",[t._v("how")]),t._v(" to do something.")])])])]),t._v(" "),a("h4",{attrs:{id:"function-or-process"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#function-or-process"}},[t._v("#")]),t._v(" Function or process")]),t._v(" "),a("p",[t._v("The end goal of a walkthrough is for the reader to achieve a very particular function. "),a("em",[t._v("Installing the IPFS Desktop application")]),t._v(" is an example. Following this walkthrough isn't going to teach the reader much about working with the decentralized web or what IPFS is. Still, by the end, they'll have the IPFS Desktop application installed on their computer.")]),t._v(" "),a("h4",{attrs:{id:"short-length"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#short-length"}},[t._v("#")]),t._v(" Short length")]),t._v(" "),a("p",[t._v("Since walkthroughs cover one particular function or process, they tend to be quite short. The estimated reading time of a walkthrough is somewhere between 2 and 10 minutes. Most of the time, the most critical content in a walkthrough is presented in a numbered list. Images and gifs can help the reader understand what they should be doing.")]),t._v(" "),a("p",[t._v("If a walkthrough is converted into a video, that video should be no longer than 5 minutes.")]),t._v(" "),a("h3",{attrs:{id:"walkthrough-structure"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#walkthrough-structure"}},[t._v("#")]),t._v(" Walkthrough structure")]),t._v(" "),a("p",[t._v("Walkthroughs are split into three major sections:")]),t._v(" "),a("ol",[a("li",[t._v("What we're about to do.")]),t._v(" "),a("li",[t._v("The steps we need to do.")]),t._v(" "),a("li",[t._v("Summary of what we just did and potential next steps.")])]),t._v(" "),a("h2",{attrs:{id:"conceptual-articles"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#conceptual-articles"}},[t._v("#")]),t._v(" Conceptual articles")]),t._v(" "),a("p",[t._v("Articles are written with the intent to inform and explain something. These articles don't contain any steps or actions that the reader has to perform "),a("em",[t._v("right now")]),t._v(".")]),t._v(" "),a("p",[t._v("These articles are vastly different in tone when compared to walkthroughs. Some topics and concepts can be challenging to understand, so creative writing and interesting diagrams are highly sought-after for these articles; whatever writers can do to make a subject more understandable, the better.")]),t._v(" "),a("h3",{attrs:{id:"article-goals"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#article-goals"}},[t._v("#")]),t._v(" Article goals")]),t._v(" "),a("p",[t._v("Use the following goals when writing conceptual articles:")]),t._v(" "),a("table",[a("thead",[a("tr",[a("th",[t._v("Goal")]),t._v(" "),a("th",[t._v("Keyword")]),t._v(" "),a("th",[t._v("Explanation")])])]),t._v(" "),a("tbody",[a("tr",[a("td",[a("strong",[t._v("Audience")])]),t._v(" "),a("td",[a("em",[t._v("Knowledgeable")])]),t._v(" "),a("td",[t._v("Requires a certain amount of focus to understand.")])]),t._v(" "),a("tr",[a("td",[a("strong",[t._v("Formality")])]),t._v(" "),a("td",[a("em",[t._v("Neutral")])]),t._v(" "),a("td",[t._v("Slang is restricted, but standard casual expressions are allowed.")])]),t._v(" "),a("tr",[a("td",[a("strong",[t._v("Domain")])]),t._v(" "),a("td",[a("em",[t._v("Any")])]),t._v(" "),a("td",[t._v("Usually "),a("em",[t._v("technical")]),t._v(", but it depends on the article.")])]),t._v(" "),a("tr",[a("td",[a("strong",[t._v("Tone")])]),t._v(" "),a("td",[a("em",[t._v("Confident and friendly")])]),t._v(" "),a("td",[t._v("The reader must feel confident that the writer knows what they're talking about.")])]),t._v(" "),a("tr",[a("td",[a("strong",[t._v("Intent")])]),t._v(" "),a("td",[a("em",[t._v("Describe")])]),t._v(" "),a("td",[t._v("Tell the reader "),a("em",[t._v("why")]),t._v(" something does the thing that it does, or why it exists.")])])])]),t._v(" "),a("h3",{attrs:{id:"article-structure"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#article-structure"}},[t._v("#")]),t._v(" Article structure")]),t._v(" "),a("p",[t._v("Articles are separated into five major sections:")]),t._v(" "),a("ol",[a("li",[t._v("Introduction to the thing we're about to explain.")]),t._v(" "),a("li",[t._v("What the thing is.")]),t._v(" "),a("li",[t._v("Why it's essential.")]),t._v(" "),a("li",[t._v("What other topics it relates to.")]),t._v(" "),a("li",[t._v("Summary review of what we just read.")])]),t._v(" "),a("h2",{attrs:{id:"tutorials"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#tutorials"}},[t._v("#")]),t._v(" Tutorials")]),t._v(" "),a("p",[t._v("When writing a tutorial, you're teaching a reader how to achieve a complex end-goal. Tutorials are a mix of walkthroughs and conceptual articles. Most tutorials will span several pages and contain multiple walkthroughs within them.")]),t._v(" "),a("p",[t._v("Take the hypothetical tutorial "),a("em",[t._v("Get up and running with IPFS")]),t._v(", for example. This tutorial will likely have the following pages:")]),t._v(" "),a("ol",[a("li",[t._v("A brief introduction to what IPFS is.")]),t._v(" "),a("li",[t._v("Install the IPFS Desktop application.")]),t._v(" "),a("li",[t._v("Upload and serve a file through the IPFS Desktop application.")]),t._v(" "),a("li",[t._v("Install the IPFS daemon through the command line.")]),t._v(" "),a("li",[t._v("Upload and serve a file through the IPFS daemon.")]),t._v(" "),a("li",[t._v("Pinning and why it's useful.")]),t._v(" "),a("li",[t._v("How to pin a file on IPFS.")])]),t._v(" "),a("p",[t._v("Pages "),a("code",[t._v("1")]),t._v(" and "),a("code",[t._v("6")]),t._v(" are conceptual articles, describing particular design patterns and ideas to the reader. All the other pages are walkthroughs instructing the user how to perform one specific action.")]),t._v(" "),a("p",[t._v("When designing a tutorial, keep in mind the walkthroughs and articles that already exist, and note down any additional content items that would need to be completed before creating the tutorial.")])])}),[],!1,null,null,null);e.default=o.exports}}]);