(window.webpackJsonp=window.webpackJsonp||[]).push([[58],{536:function(e,t,a){"use strict";a.r(t);var o=a(19),n=Object(o.a)({},(function(){var e=this,t=e.$createElement,a=e._self._c||t;return a("ContentSlotsDistributor",{attrs:{"slot-key":e.$parent.slotKey}},[a("h1",{attrs:{id:"persistence-permanence-and-pinning"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#persistence-permanence-and-pinning"}},[e._v("#")]),e._v(" Persistence, permanence, and pinning")]),e._v(" "),a("p",[e._v("Understand the concepts behind IPFS pinning, along with the differences between persistence, permanence, and pinning.")]),e._v(" "),a("h2",{attrs:{id:"persistence-versus-permanence"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#persistence-versus-permanence"}},[e._v("#")]),e._v(" Persistence versus permanence")]),e._v(" "),a("p",[e._v("One goal of IPFS is to preserve humanity's history by letting users store data while minimising the risk of that data being lost or accidentally deleted. This is often referred to as permanence. But what does permanence "),a("em",[e._v("really")]),e._v(" mean, and why does it matter?")]),e._v(" "),a("p",[e._v("A 2011 study found that the "),a("a",{attrs:{href:"https://blogs.loc.gov/thesignal/2011/11/the-average-lifespan-of-a-webpage/",target:"_blank",rel:"noopener noreferrer"}},[e._v("average lifespan of a web page is 100 days"),a("OutboundLink")],1),e._v(" before it's gone forever. It's not good enough for the primary medium of our era to be this fragile. IPFS can keep every version of your file you wish to store, and make it simple to set up resilient networks for mirroring data.")]),e._v(" "),a("p",[e._v("Nodes on the IPFS network can automatically cache resources they download, and keep those resources available for other nodes. This system depends on nodes being willing and able to cache and share resources with the network. Storage is finite, so nodes need to clear out some of their previously cached resources to make room for new resources. This process is called "),a("em",[e._v("garbage collection")]),e._v(".")]),e._v(" "),a("p",[e._v("To ensure that data "),a("em",[e._v("persists")]),e._v(" on IPFS, and is not deleted during garbage collection, "),a("RouterLink",{attrs:{to:"/how-to/pin-files/"}},[e._v("data can be pinned")]),e._v(" to one or more IPFS nodes. Pinning gives you control over disk space and data retention. As such, you should use that control to pin any content you wish to keep on IPFS indefinitely.")],1),e._v(" "),a("h2",{attrs:{id:"garbage-collection"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#garbage-collection"}},[e._v("#")]),e._v(" Garbage collection")]),e._v(" "),a("p",[a("a",{attrs:{href:"https://en.wikipedia.org/wiki/Garbage_collection_(computer_science)",target:"_blank",rel:"noopener noreferrer"}},[e._v("Garbage collection"),a("OutboundLink")],1),e._v(" is a form of automatic resource management widely used in software development. The garbage collector attempts to reclaim memory occupied by objects that are no longer in use. IPFS uses garbage collection to free disk space on your IPFS node by deleting data that it thinks is no longer needed.")]),e._v(" "),a("p",[e._v("The IPFS garbage collector is configured in the "),a("code",[e._v("Datastore")]),e._v("section of "),a("a",{attrs:{href:"https://github.com/ipfs/go-ipfs/blob/master/docs/config.md",target:"_blank",rel:"noopener noreferrer"}},[e._v("the go-ipfs config file"),a("OutboundLink")],1),e._v(". The important settings related to the garbage collector are:")]),e._v(" "),a("ul",[a("li",[a("p",[a("code",[e._v("StorageGCWatermark")]),e._v(": The percentage of the "),a("code",[e._v("StorageMax")]),e._v(" value at which a garbage collection will be triggered automatically, if the daemon is running with automatic garbage collection enabled. The default is 90`.")])]),e._v(" "),a("li",[a("p",[a("code",[e._v("GCPeriod")]),e._v(": Specify how frequently garbage collection should run. Only used if automatic garbage collection is enabled. The default is 1 hour.")])])]),e._v(" "),a("p",[e._v("To manually start garbage collection, "),a("RouterLink",{attrs:{to:"/reference/cli/#ipfs-repo-gc"}},[e._v("run "),a("code",[e._v("ipfs repo gc")])]),e._v(":")],1),e._v(" "),a("div",{staticClass:"language-bash extra-class"},[a("pre",{pre:!0,attrs:{class:"language-bash"}},[a("code",[e._v("ipfs repo gc\n\n"),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v(" removed QmPZhyTu8D7NqR5NvgkgNYsSYD4CNjnyuFejB8i23itJvA\n"),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v(" removed QmSYQFVAZgEnpa6NxiW5agyj3XU9VR4CbERShXiLhuPPPE\n"),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v(" removed QmS6SJXApoi59hqD8Naktgakc6UNHK1XDhqhtMg9sBhY8g\n")])])]),a("p",[e._v("To enable automatic garbage collection use "),a("code",[e._v("--enable-gc")]),e._v(" when starting the IPFS daemon:")]),e._v(" "),a("div",{staticClass:"language-bash extra-class"},[a("pre",{pre:!0,attrs:{class:"language-bash"}},[a("code",[e._v("ipfs daemon --enable-gc\n\n"),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v(" Initializing daemon"),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("..")]),e._v(".\n"),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v(" go-ipfs version: "),a("span",{pre:!0,attrs:{class:"token number"}},[e._v("0.9")]),e._v(".0\n"),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v(" Repo version: "),a("span",{pre:!0,attrs:{class:"token number"}},[e._v("10")]),e._v("\n"),a("span",{pre:!0,attrs:{class:"token operator"}},[e._v(">")]),e._v(" "),a("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("..")]),e._v(".\n")])])]),a("div",{staticClass:"custom-block tip"},[a("p",{staticClass:"custom-block-title"},[e._v("TIP")]),e._v(" "),a("p",[e._v("If you use IPFS Desktop, you can trigger garbage collection by clicking on the taskbar icon of the IPFS Desktop application and selecting "),a("strong",[e._v("Advanced")]),e._v(" → "),a("strong",[e._v("Run Garbage Collector")]),e._v(".")])]),e._v(" "),a("h2",{attrs:{id:"pinning-in-context"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#pinning-in-context"}},[e._v("#")]),e._v(" Pinning in context")]),e._v(" "),a("p",[e._v("An IPFS node can protect data from garbage collection based on different kinds of user events.")]),e._v(" "),a("ul",[a("li",[e._v("The universal way is by adding a low-level "),a("RouterLink",{attrs:{to:"/how-to/pin-files/"}},[e._v("local pin")]),e._v(". This works for all data types and can be done manually, but if you add a file using the CLI command "),a("RouterLink",{attrs:{to:"/reference/cli/#ipfs-add"}},[a("code",[e._v("ipfs add")])]),e._v(", your IPFS node will automatically pin that file for you.")],1),e._v(" "),a("li",[e._v("When working with files and directories, a better way may be to add them to the local "),a("RouterLink",{attrs:{to:"/concepts/glossary/#mfs"}},[e._v("Mutable File System (MFS)")]),e._v(". This protects the data from garbage collection in the same way as local pinning, but is somewhat easier to manage.")],1)]),e._v(" "),a("div",{staticClass:"custom-block tip"},[a("p",{staticClass:"custom-block-title"},[e._v("TIP")]),e._v(" "),a("p",[e._v("If you want to learn more about how pinning fits into the overall lifecycle of data in IPFS, check out the course from "),a("a",{attrs:{href:"https://www.youtube.com/watch?v=fLUq0RkiTBA",target:"_blank",rel:"noopener noreferrer"}},[e._v("IPFS Camp "),a("em",[e._v("The Lifecycle of Data in DWeb")]),a("OutboundLink")],1),e._v(".")])]),e._v(" "),a("h2",{attrs:{id:"pinning-services"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#pinning-services"}},[e._v("#")]),e._v(" Pinning services")]),e._v(" "),a("p",[e._v("To ensure that your important data is retained, you may want to use a pinning service. These services run lots of IPFS nodes and allow users to pin data on those nodes for a fee. Some services offer free storage-allowance for new users. Pinning services are handy when:")]),e._v(" "),a("ul",[a("li",[e._v("You don't have a lot of disk space, but you want to ensure your data sticks around.")]),e._v(" "),a("li",[e._v("Your computer is a laptop, phone, or tablet that will have intermittent connectivity to the network. Still, you want to be able to access your data on IPFS from anywhere at any time, even when the device you added it from is offline.")]),e._v(" "),a("li",[e._v("You want a backup that ensures your data is always available from another computer on the network if you accidentally delete or garbage-collect your data on your own computer.")])]),e._v(" "),a("p",[e._v("Some available pinning service providers are:")]),e._v(" "),a("ul",[a("li",[a("a",{attrs:{href:"https://www.axel.org/2019/07/23/qa-with-the-developers-of-axel-ipfs/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Axel"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://www.eternum.io/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Eternum"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://infura.io/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Infura"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://pinata.cloud/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Pinata"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://temporal.cloud/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Temporal"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://crust.network/",target:"_blank",rel:"noopener noreferrer"}},[e._v("Crust Network"),a("OutboundLink")],1)])]),e._v(" "),a("p",[e._v("See how to "),a("RouterLink",{attrs:{to:"/how-to/work-with-pinning-services/"}},[e._v("work with remote pinning services")]),e._v(".")],1),e._v(" "),a("h2",{attrs:{id:"long-term-storage"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#long-term-storage"}},[e._v("#")]),e._v(" Long-term storage")]),e._v(" "),a("p",[e._v("Storing data using a personal IPFS node is easy, but it can be inconvenient since you have to manage your own hardware. This problem gave rise to "),a("em",[e._v("pinning services")]),e._v(", paid services that allow you to upload your data to a remotely hosted IPFS node and retrieve it whenever you want. However, while paying a pinning service to store data is a convenient workaround, it still requires someone to bear the cost of storing that data. If that one sponsor stops paying for that pinning, the content may be lost entirely. While IPFS guarantees that any content on the network is discoverable, it doesn't guarantee that any content is persistently available. This is where "),a("a",{attrs:{href:"https://filecoin.io",target:"_blank",rel:"noopener noreferrer"}},[e._v("Filecoin"),a("OutboundLink")],1),e._v(" comes in.")]),e._v(" "),a("h3",{attrs:{id:"storing-data-with-filecoin"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#storing-data-with-filecoin"}},[e._v("#")]),e._v(" Storing data with Filecoin")]),e._v(" "),a("p",[a("a",{attrs:{href:"https://filecoin.io",target:"_blank",rel:"noopener noreferrer"}},[e._v("Filecoin"),a("OutboundLink")],1),e._v(" is a decentralized storage network in which storage providers rent their storage space to clients. The client and the storage provider agree on how much data will be stored, for how long, and at what cost. This agreement is called a "),a("em",[e._v("deal")]),e._v(". Once both parties agree to a deal, the client sends the data to the storage provider, who periodically verifies that they are correctly storing the data. When the client wants the data back, they send a request to the storage provider, who initiates the data transfer back to the client. For more information on how Filecoin works, head over to the "),a("a",{attrs:{href:"https://docs.filecoin.io/about-filecoin/how-filecoin-works/",target:"_blank",rel:"noopener noreferrer"}},[e._v("official Filecoin documentation →"),a("OutboundLink")],1)]),e._v(" "),a("p",[e._v("Filecoin provides users with a dependable, long-term storage solution. However, there are some limitations to consider. The retrieval process is not always as fast as an IPFS pinning service, and the minimum file size accepted by a Filecoin storage provider can be several GiB. Also, the process for creating a storage deal may seem complicated to new users who aren't familiar with blockchain transactions or simply aren't comfortable working within a command line.")]),e._v(" "),a("h3",{attrs:{id:"ipfs-filecoin-solutions"}},[a("a",{staticClass:"header-anchor",attrs:{href:"#ipfs-filecoin-solutions"}},[e._v("#")]),e._v(" IPFS + Filecoin solutions")]),e._v(" "),a("p",[e._v("Fortunately, there is a growing community of tools and service providers that help simplify the process of making content available over IPFS while also persisting the data via Filecoin. These solutions make it simple to store data using decentralized protocols by acting both as IPFS pinning services and Filecoin storage platforms. Combining the two means that when you upload a file, that file is immediately available for download. Additionally, combined IPFS + Filecoin solutions will periodically bundle data and create a deal with a reputable Filecoin storage provider, ensuring that the data is available in long-term storage. Many solutions include API client libraries for developers to integrate into their apps and services, as well as web interfaces for quickly managing and inspecting files.")]),e._v(" "),a("p",[e._v("Options in this category include:")]),e._v(" "),a("ul",[a("li",[a("a",{attrs:{href:"https://Web3.Storage",target:"_blank",rel:"noopener noreferrer"}},[e._v("Web3.Storage"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://estuary.tech",target:"_blank",rel:"noopener noreferrer"}},[e._v("Estuary"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://docs.filecoin.io/build/powergate",target:"_blank",rel:"noopener noreferrer"}},[e._v("Powergate"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://storage.chainsafe.io",target:"_blank",rel:"noopener noreferrer"}},[e._v("ChainSafe Storage"),a("OutboundLink")],1)]),e._v(" "),a("li",[a("a",{attrs:{href:"https://fleek.co/storage",target:"_blank",rel:"noopener noreferrer"}},[e._v("Fleek Storage"),a("OutboundLink")],1)])])])}),[],!1,null,null,null);t.default=n.exports}}]);