(window.webpackJsonp=window.webpackJsonp||[]).push([[60],{542:function(e,t,o){"use strict";o.r(t);var a=o(19),s=Object(a.a)({},(function(){var e=this,t=e.$createElement,o=e._self._c||t;return o("ContentSlotsDistributor",{attrs:{"slot-key":e.$parent.slotKey}},[o("h1",{attrs:{id:"what-is-ipfs"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#what-is-ipfs"}},[e._v("#")]),e._v(" What is IPFS?")]),e._v(" "),o("p",[e._v("Let's just start with a one-line definition of IPFS:")]),e._v(" "),o("p",[o("strong",[e._v("IPFS is a distributed system for storing and accessing files, websites, applications, and data.")])]),e._v(" "),o("p",[e._v("What does that mean, exactly? Let's say you're doing some research on aardvarks. (Just roll with it; aardvarks are cool! Did you know they can tunnel 3 feet in only 5 minutes?) You might start by visiting the Wikipedia page on aardvarks at:")]),e._v(" "),o("div",{staticClass:"language- extra-class"},[o("pre",{pre:!0,attrs:{class:"language-text"}},[o("code",[e._v("https://en.wikipedia.org/wiki/Aardvark\n")])])]),o("p",[e._v("When you put that URL in your browser's address bar, your computer asks one of Wikipedia's computers, which might be somewhere on the other side of the country (or even the planet), for the aardvark page.")]),e._v(" "),o("p",[e._v("However, that's not the only option for meeting your aardvark needs! There's a mirror of Wikipedia stored on IPFS, and you could use that instead. If you use IPFS, your computer asks to get the aardvark page like this:")]),e._v(" "),o("div",{staticClass:"language- extra-class"},[o("pre",{pre:!0,attrs:{class:"language-text"}},[o("code",[e._v("/ipfs/QmXoypizjW3WknFiJnKLwHCnL72vedxjQkDDP1mXWo6uco/wiki/Aardvark.html\n")])])]),o("div",{staticClass:"custom-block tip"},[o("p",{staticClass:"custom-block-title"},[e._v("TIP")]),e._v(" "),o("p",[e._v("The easiest way to view the above link is by opening it in your browser through an "),o("em",[e._v("IPFS Gateway")]),e._v(". Simply add "),o("code",[e._v("https://ipfs.io")]),e._v(" to the start of the above link and you'll be able to "),o("a",{attrs:{href:"https://ipfs.io/ipfs/QmXoypizjW3WknFiJnKLwHCnL72vedxjQkDDP1mXWo6uco/wiki/Aardvark.html",target:"_blank",rel:"noopener noreferrer"}},[e._v("view the page →"),o("OutboundLink")],1)])]),e._v(" "),o("p",[e._v("IPFS knows how to find that sweet, sweet aardvark information by its "),o("RouterLink",{attrs:{to:"/concepts/content-addressing/"}},[e._v("contents")]),e._v(", not its location (more on that, which is called content addressing, below). The IPFS-ified version of the aardvark info is represented by that string of numbers in the middle of the URL ("),o("code",[e._v("QmXo…")]),e._v("), and instead of asking one of Wikipedia's computers for the page, your computer uses IPFS to ask lots of computers around the world to share the page with you. It can get your aardvark info from anyone who has it, not just Wikipedia.")],1),e._v(" "),o("p",[e._v("And, when you use IPFS, you don't just download files from someone else — your computer also helps distribute them. When your friend a few blocks away needs the same Wikipedia page, they might be as likely to get it from you as they would from your neighbor or anyone else using IPFS.")]),e._v(" "),o("p",[e._v("IPFS makes this possible for not only web pages but also any kind of file a computer might store, whether it's a document, an email, or even a database record.")]),e._v(" "),o("h2",{attrs:{id:"decentralization"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#decentralization"}},[e._v("#")]),e._v(" Decentralization")]),e._v(" "),o("p",[e._v("Making it possible to download a file from many locations that aren't managed by one organization:")]),e._v(" "),o("ul",[o("li",[o("strong",[e._v("Supports a resilient internet.")]),e._v(" If someone attacks Wikipedia's web servers or an engineer at Wikipedia makes a big mistake that causes their servers to catch fire, you can still get the same webpages from somewhere else.")]),e._v(" "),o("li",[o("strong",[e._v("Makes it harder to censor content.")]),e._v(" Because files on IPFS can come from many places, it's harder for anyone (whether they're states, corporations, or someone else) to block things. We hope IPFS can help provide ways to circumvent actions like these when they happen.")]),e._v(" "),o("li",[o("strong",[e._v("Can speed up the web when you're far away or disconnected.")]),e._v(" If you can retrieve a file from someone nearby instead of hundreds or thousands of miles away, you can often get it faster. This is especially valuable if your community is networked locally but doesn't have a good connection to the wider internet. (Well-funded organizations with technical expertise do this today by using multiple data centers or CDNs — "),o("a",{attrs:{href:"https://en.wikipedia.org/wiki/Content_delivery_network",target:"_blank",rel:"noopener noreferrer"}},[e._v("content distribution networks"),o("OutboundLink")],1),e._v(". IPFS hopes to make this possible for everyone.)")])]),e._v(" "),o("p",[e._v("That last point is actually where IPFS gets its full name: the "),o("strong",[e._v("InterPlanetary File System")]),e._v(". We're striving to build a system that works across places as disconnected or as far apart as planets. While that's an idealistic goal, it keeps us working and thinking hard, and almost everything we create in pursuit of that goal is also useful here at home.")]),e._v(" "),o("h2",{attrs:{id:"content-addressing"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#content-addressing"}},[e._v("#")]),e._v(" Content addressing")]),e._v(" "),o("div",{staticClass:"custom-block callout"},[o("p",[e._v("For a beginner-friendly primer on why cryptographic hashing and content addressing matter, take a look at ProtoSchool's tutorial, "),o("a",{attrs:{href:"https://proto.school/content-addressing",target:"_blank",rel:"noopener noreferrer"}},[e._v("Content Addressing on the Decentralized Web"),o("OutboundLink")],1),e._v(".")])]),e._v(" "),o("p",[e._v("What about that link to the aardvark page above? It looked a little unusual:")]),e._v(" "),o("div",{staticClass:"language- extra-class"},[o("pre",{pre:!0,attrs:{class:"language-text"}},[o("code",[e._v("/ipfs/QmXoypizjW3WknFiJnKLwHCnL72vedxjQkDDP1mXWo6uco/wiki/Aardvark.html\n")])])]),o("p",[e._v("That jumble of letters after "),o("code",[e._v("/ipfs/")]),e._v(" is called a "),o("RouterLink",{attrs:{to:"/concepts/content-addressing/"}},[o("em",[e._v("content identifier")])]),e._v(" and it’s how IPFS can get content from multiple places.")],1),e._v(" "),o("p",[e._v("Traditional URLs and file paths such as…")]),e._v(" "),o("ul",[o("li",[o("code",[e._v("https://en.wikipedia.org/wiki/Aardvark")])]),e._v(" "),o("li",[o("code",[e._v("/Users/Alice/Documents/term_paper.doc")])]),e._v(" "),o("li",[o("code",[e._v("C:\\Users\\Joe\\My Documents\\project_sprint_presentation.ppt")])])]),e._v(" "),o("p",[e._v("…identify a file by "),o("em",[e._v("where it's located")]),e._v(" — what computer it's on and where on that computer's hard drive it is. That doesn't work if the file is in many places, though, like your neighbor's computer and your friend's across town.")]),e._v(" "),o("p",[e._v("Instead of being location-based, IPFS addresses a file by "),o("em",[e._v("what's in it")]),e._v(", or by its "),o("em",[e._v("content")]),e._v(". The content identifier above is a "),o("em",[e._v("cryptographic hash")]),e._v(" of the content at that address. The hash is unique to the content that it came from, even though it may look short compared to the original content. It also allows you to verify that you got what you asked for — bad actors can't just hand you content that doesn't match. (If hashes are new to you, check out "),o("RouterLink",{attrs:{to:"/concepts/hashing/"}},[e._v("the concept guide on hashes")]),e._v(" for an introduction.)")],1),e._v(" "),o("div",{staticClass:"custom-block tip"},[o("p",{staticClass:"custom-block-title"},[e._v("NOTE")]),e._v(" "),o("p",[e._v('Why do we say "content" instead of "files" or "web pages" here? Because a content identifier can point to many different types of data, such as a single small file, a piece of a larger file, or metadata. (In case you don\'t know, metadata is "data about the data." You use metadata when you access the date, location, or file size of your digital pictures, for example.) So, an individual IPFS address can refer to the metadata of just a single piece of a file, a whole file, a directory, a whole website, or any other kind of content. For more on this, check out our guide to '),o("RouterLink",{attrs:{to:"/concepts/how-ipfs-works/"}},[e._v("how IPFS works")]),e._v(".")],1)]),e._v(" "),o("p",[e._v("Because the address of a file in IPFS is created from the content itself, links in IPFS can't be changed. For example ...")]),e._v(" "),o("ul",[o("li",[e._v("If the text on a web page is changed, the new version gets a new, different address.")]),e._v(" "),o("li",[e._v("Content can't be moved to a different address. On today's internet, a company could reorganize content on their website and move a page at "),o("code",[e._v("http://mycompany.com/what_we_do")]),e._v(" to "),o("code",[e._v("http://mycompany.com/services")]),e._v(". In IPFS, the old link you have would still point to the same old content.")])]),e._v(" "),o("p",[e._v("Of course, people want to update and change content all the time and don't want to send new links every time they do it. This is entirely possible in an IPFS world, but explaining it requires a little more info than what's within the scope of this IPFS introduction. Check out the concept guides on "),o("RouterLink",{attrs:{to:"/concepts/ipns/"}},[e._v("IPNS")]),e._v(", the "),o("RouterLink",{attrs:{to:"/concepts/file-systems/#mutable-file-system-mfs"}},[e._v("Mutable File System (MFS)")]),e._v(", and "),o("RouterLink",{attrs:{to:"/concepts/dnslink/"}},[e._v("DNSLink")]),e._v(" to learn more about how changing content can work in a content-addressed, distributed system.")],1),e._v(" "),o("p",[e._v("It's important to remember in all of these situations, using IPFS is participatory and collaborative. If nobody using IPFS has the content identified by a given address available for others to access, you won't be able to get it. On the other hand, content can't be removed from IPFS as long as "),o("em",[e._v("someone")]),e._v(" is interested enough to make it available, whether that person is the original author or not. Note that this is similar to the current web, where it is also impossible to remove content that's been copied across an unknowable number of websites; the difference with IPFS is that you are always able to find those copies.")]),e._v(" "),o("h2",{attrs:{id:"participation"}},[o("a",{staticClass:"header-anchor",attrs:{href:"#participation"}},[e._v("#")]),e._v(" Participation")]),e._v(" "),o("p",[e._v("While there's lots of complex technology in IPFS, the fundamental ideas are about changing how networks of people and computers communicate. Today's World Wide Web is structured on "),o("em",[e._v("ownership")]),e._v(" and "),o("em",[e._v("access")]),e._v(", meaning that you get files from whoever owns them — if they choose to grant you access. IPFS is based on the ideas of "),o("em",[e._v("possession")]),e._v(" and "),o("em",[e._v("participation")]),e._v(", where many people "),o("em",[e._v("possess")]),e._v(" each others' files and "),o("em",[e._v("participate")]),e._v(" in making them available.")]),e._v(" "),o("p",[e._v("That means IPFS only works well when people are actively participating. If you use your computer to share files using IPFS, but then you turn your computer off, other people won't be able to get those files from you anymore. But if you or others make sure that copies of those files are stored on more than one computer that's powered on and running IPFS, those files will be more reliably available to other IPFS users who want them. This happens to some extent automatically: by default, your computer shares a file with others for a limited time after you've downloaded it using IPFS. You can also make content available more permanently by "),o("em",[e._v("pinning")]),e._v(" it, which saves it to your computer and makes it available on the IPFS network until you decide to "),o("em",[e._v("unpin")]),e._v(" it. (You can learn more about this in our "),o("RouterLink",{attrs:{to:"/concepts/persistence/"}},[e._v("guide to persistence and pinning")]),e._v(".)")],1),e._v(" "),o("p",[e._v("If you want to make sure one of your own files is permanently shared on the internet today, you might use a for-pay file-sharing service like Dropbox. Some people have begun offering similar services based on IPFS called "),o("em",[e._v("pinning services")]),e._v(". But since IPFS makes this kind of sharing a built-in feature, you can also collaborate with friends or partner with institutions (for example, museums and libraries might work together) to share each others' files. We hope IPFS can be the low-level tool that allows a rich fabric of communities, business, and cooperative organizations to all form a distributed web that is much more reliable, robust, and equitable than the one we have today.")])])}),[],!1,null,null,null);t.default=s.exports}}]);